Bug 245426 - "ata6: soft resetting port" errors occurring frequently
"ata6: soft resetting port" errors occurring frequently
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Alan Cox
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 22:32 EDT by Kyle
Modified: 2008-06-16 21:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vvxxx output (46.33 KB, text/plain)
2007-06-22 22:32 EDT, Kyle
no flags Details
dmesg output (120.34 KB, text/plain)
2007-06-22 22:33 EDT, Kyle
no flags Details
dmesg output (3.22 KB, text/plain)
2007-06-23 21:56 EDT, Jeronimo Martinez Sanchez
no flags Details
dmesg output right after boot & login (20.67 KB, text/plain)
2007-06-25 16:31 EDT, Kyle
no flags Details
lspci -vvxxx dump file (36.43 KB, text/plain)
2007-11-09 20:07 EST, boblogic
no flags Details
lspci -vvxxx (57.10 KB, text/plain)
2008-03-04 08:50 EST, David Fix
no flags Details
lspci output (18.45 KB, text/plain)
2008-03-04 11:53 EST, Roger Cowles
no flags Details
/var/log/messages file with Emask errors (546.37 KB, text/plain)
2008-03-04 11:54 EST, Roger Cowles
no flags Details

  None (edit)
Description Kyle 2007-06-22 22:32:53 EDT
Description of problem:
I'm running F7 with all the latest updates and am seeing these errors in
/var/log/messages several times an hour:

Jun 18 22:39:01 host kernel: ata6.00: exception Emask 0x0 SAct 0x0 SErr 0x0
action 0x2 frozen
Jun 18 22:39:01 host kernel: ata6.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0
tag 0 cdb 0x0 data 0 
Jun 18 22:39:01 host kernel:          res 40/00:03:00:00:00/00:00:00:00:00/a0
Emask 0x4 (timeout)
Jun 18 22:39:01 host kernel: ata6: soft resetting port
Jun 18 22:39:01 host kernel: ata6.00: configured for PIO0
Jun 18 22:39:01 host kernel: ata6: EH complete

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3228.fc7.x86_64

How reproducible:
Always

Steps to Reproduce:
Just boot the machine and login
  
Actual results:
/var/log/messages starts filling up with the messages noted above.

Expected results:
No errors
Comment 1 Kyle 2007-06-22 22:32:53 EDT
Created attachment 157672 [details]
lspci -vvxxx output
Comment 2 Kyle 2007-06-22 22:33:49 EDT
Created attachment 157673 [details]
dmesg output
Comment 3 Jeronimo Martinez Sanchez 2007-06-23 21:56:53 EDT
Created attachment 157702 [details]
dmesg output

the error no show with a disc on the drive after a reboot
Comment 4 Jeronimo Martinez Sanchez 2007-06-23 22:01:18 EDT
Comment on attachment 157702 [details]
dmesg output

the error happen on i386 too running FC7
Comment 6 Kyle 2007-06-25 16:31:30 EDT
Created attachment 157809 [details]
dmesg output right after boot & login

Since my last dmesg output (attachment 157673 [details]) only had the error message in
it, I figured a clean dmesg would be helpful in seeing the hardware involved.
Comment 7 Christopher Brown 2007-09-17 09:40:11 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 8 boblogic 2007-11-09 20:07:33 EST
Created attachment 253771 [details]
lspci -vvxxx dump file
Comment 9 boblogic 2007-11-09 20:09:30 EST
My logs are also filling up similar errors (see below)
since I installed (clean) Fedora 7. 
x86_64 (Opteron 185) Fedora 7 (2.6.23.1-21.fc7 #1 SMP) Asus A8V-Deluxe
http://smolt.fedoraproject.org/show?UUID=31cbc2a8-cdca-456f-95ae-23fda5cac353
lspci.txt is attached. Will attach dmsg as soon as I reboot.

Every 10 or 30 seconds I get this error repeated twice:
-----------------------------
Nov  9 15:43:26 Leo2 kernel: ata7.00: exception Emask 0x0 SAct 0x0 SErr 0x0
action 0x2 frozen
Nov  9 15:43:26 Leo2 kernel: ata7.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0
tag 0 cdb 0x1e data 0 
Nov  9 15:43:26 Leo2 kernel:          res 40/00:03:00:00:20/00:00:00:00:00/a0
Emask 0x4 (timeout)
Nov  9 15:43:26 Leo2 kernel: ata7: soft resetting port
Nov  9 15:43:26 Leo2 kernel: ata7.00: configured for PIO0
Nov  9 15:43:26 Leo2 kernel: ata7: EH complete
-----------------------------

Every 5 minutes and 6 seconds I get this:
-----------------------------
Nov  9 15:33:34 Leo2 kernel: sr 6:0:0:0: ioctl_internal_command return code =
8000002
Nov  9 15:33:34 Leo2 kernel:    : Sense Key : Aborted Command [current] [descriptor]
Nov  9 15:33:34 Leo2 kernel:    : Add. Sense: No additional sense information

Followed by this, 1 minute and 3 seconds later:
-----------------------------
Nov  9 15:37:38 Leo2 kernel: sr0: CDROM (ioctl) error, command: Test Unit Ready
00 00 00 00 00 00
Nov  9 15:37:38 Leo2 kernel: sr: Sense Key : Aborted Command [current] [descriptor]
Nov  9 15:37:38 Leo2 kernel: sr: Add. Sense: No additional sense information
-----------------------------
Comment 10 boblogic 2007-11-09 20:23:50 EST
If I had to speculate, I'd say the problem is in libata.
GParted, fdisk and Device Manager do not see my two 160Gb PATA (Maxtor 6y160P0)
drives. Device Manger does see the CDROM/DVD drive.

I can test on the following (installed) kernels on request.
2.6.21-1.3194.fc7
2.6.22.9-91.fc7
2.6.23.1-10.fc7
2.6.23.1-21.fc7
Comment 11 Christopher Brown 2007-12-13 12:01:57 EST
If you can test with the latest kernel it would be appreciated. Just out of
interest are you using 40-wire or 80-wire cables?
Comment 12 Kyle 2007-12-13 12:12:57 EST
I've upgraded to fc8 and am no longer seeing this problem.
Comment 13 boblogic 2007-12-13 16:39:42 EST
(In reply to comment #11)
> If you can test with the latest kernel it would be appreciated. Just out of
> interest are you using 40-wire or 80-wire cables?

I am currently running 2.6.23.8-34.fc7 (x86_64 Opteron 185 dual-core)
I am using an 80-pin cable on an Lite-On DVDRW SOHW-1633S.
It is the only device on the channel.
I still have the same errors flooding the log.

It might be worth checking if this is an issue with Lite-On.
Comment 14 Christopher Brown 2008-01-03 18:18:45 EST
Thanks for the update. Re-assigning to the relevant maintainer...
Comment 15 David Fix 2008-03-04 08:50:28 EST
Created attachment 296735 [details]
lspci -vvxxx
Comment 16 David Fix 2008-03-04 08:51:48 EST
I'm experiencing the same issue...  On Fedora 8, running kernel:

2.6.23.15-137.fc8 #1 SMP Sun Feb 10 17:03:13 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

I've attached my lspci -vvxxx to this.
Comment 17 Roger Cowles 2008-03-04 11:53:19 EST
Created attachment 296759 [details]
lspci output
Comment 18 Roger Cowles 2008-03-04 11:54:09 EST
Created attachment 296760 [details]
/var/log/messages file with Emask errors
Comment 19 Roger Cowles 2008-03-04 12:02:33 EST
Just a "Me too" though in my case the error results in hard resets and the SATA
drives (2x WD2500KS-00MJB0) just get "renoved" from the system.

I appear to have a repro test case in that this seems to happen when I rsync
data to/from either drive to my XP PC so wondering if theres any debug I can
enable that might shed light on this ? I'd be willing to try custom kernels or
drivers and have a programming background though never anything as complex as
kernel/driver work.

This particular box has had clean installs of FC5, FC6 and now FC7 (different
system HD's each time) and I've experienced these "Emask" resets on all
releases, on both SATA drives, with 2 different PCI SATA controller cards,
(Promise TX2 and Syba SD-SATA150 RT) and 2 different power supplies. See
https://bugzilla.redhat.com/show_bug.cgi?id=247296 for my previous go at
reporting the issue I see.
Comment 20 Alan Cox 2008-03-17 15:46:19 EDT
These are all different hardware and different but similar looking problems.
Please file individual bugs for them rather than adding to this one (ditto
anyone reading it and seeing something looking the same - if it is the same we
can merge bugs, we can't easily split them back up)
Comment 21 Bug Zapper 2008-05-14 09:15:30 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2008-06-16 21:41:48 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.